## Apache Zeta Components Manual :: Docs For Class ezcFeedEntryElement

### Feed::ezcFeedEntryElement

### Class ezcFeedEntryElement

Class defining a feed entry.

Source for this file: /Feed/src/structs/entry.php

    ezcFeedElement
       |
       --ezcFeedEntryElement

Version: | //autogentag//

### Properties

array(ezcFeedPersonElement) | read/write | `$author` The authors of the entry. Equivalents: ATOM-author (required, multiple), RSS1-none, RSS2-author (optional, recommended, single).
array(ezcFeedCategoryElement) | read/write | `$category` The categories of the entry. Equivalents: ATOM-author (optional, multiple), RSS1-none, RSS2-category (optional, multiple).
ezcFeedTextElement | read/write | `$comments` The comments of the entry. Equivalents: ATOM-none, RSS1-none, RSS2-author (optional, single).
ezcFeedContentElement | read/write | `$content` The complex text content of the entry. Equivalents: ATOM-content (optional, single), RSS1-none, RSS2-none.
array(ezcFeedPersonElement) | read/write | `$contributor` The contributors of the entry. Equivalents: ATOM-contributor (optional, not recommended, multiple), RSS1-none, RSS2-none.
ezcFeedTextElement | read/write | `$copyright` The copyright of the entry. Equivalents: ATOM-rights (optional, single), RSS1-none, RSS2-none.
ezcFeedTextElement | read/write | `$description` The description of the entry. Equivalents: ATOM-summary (required, single), RSS1-description (required, single), RSS2-description (required, single).
array(ezcFeedEnclosureElement) | read/write | `$enclosure` The enclosures of the entry. Equivalents: ATOM-link@rel="enclosure" (optional, multiple), RSS1-none, RSS2-enclosure (optional, single).
ezcFeedTextElement | read/write | `$id` The id of the entry. Equivalents: ATOM-id (required, single), RSS1-about (required, single), RSS2-guid (optional, single).
ezcFeedTextElement | read/write | `$language` The language of the entry. Equivalents: ATOM-source (optional, not recommended, single ), RSS1-none, RSS2-none.
array(ezcFeedLinkElement) | read/write | `$link` The links of the entry. Equivalents: ATOM-link (required, multiple), RSS1-link (required, single), RSS2-link (required, single).
ezcFeedDateElement | read/write | `$published` The published date of the entry. Equivalents: ATOM-published (optional, single), RSS1-none, RSS2-pubDate (optional, single).
ezcFeedSourceElement | read/write | `$source` The source of the entry. Equivalents: ATOM-source (optional, not recommended, single), RSS1-none, RSS2-source (optional, not recommended, single).
ezcFeedTextElement | read/write | `$title` The title of the entry. Equivalents: ATOM-title (required, single), RSS1-title (required, single), RSS2-title (required, single).
ezcFeedDateElement | read/write | `$updated` The updated date of the entry. Equivalents: ATOM-updated (required, single), RSS1-none, RSS2-none.

### Inherited Member Variables

From ezcFeedElement
protected | `ezcFeedElement::$properties`

### Method Summary

public ezcFeedElement | `add( $name )` Adds a new element with name $name to the feed item and returns it.
public ezcFeedModule | `addModule( $name )` Adds a new module to this item and returns it.
public array(ezcFeedModule) | `getModules( )` Returns an array with all the modules defined for this feed item.
public bool | `hasModule( $name )` Returns true if the module $name is loaded, false otherwise.

### Methods

#### add

ezcFeedElement add( string $name )

Adds a new element with name $name to the feed item and returns it.

Example:

1. // $item is an ezcFeedEntryElement object
2. $link=$item-> add ('link');
3. $link->href='http://ez.no/';

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string | The name of the element to add

##### Exceptions:

Type | Description
--- | ---
`ezcFeedUnsupportedElementException` | if the element $name is not supported

#### addModule

ezcFeedModule addModule( string $name )

Adds a new module to this item and returns it.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string | The name of the module to add

#### getModules

array(ezcFeedModule) getModules( )

Returns an array with all the modules defined for this feed item.

#### hasModule

bool hasModule( string $name )

Returns true if the module $name is loaded, false otherwise.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string | The name of the module to check if loaded for this item

Documentation generated by phpDocumentor 1.4.3